package laba6;

public class example10 {

    // статический метод
    public static int[] maxAndMin(int... values) {
        int max = values[0];
        int min = values[0];

        for (int v : values) {
            if (v > max) {
                max = v;
            }
            if (v < min) {
                min = v;
            }
        }

        return new int[]{max, min};
    }

    // демонстрация работы
    public static void main(String[] args) {
        int[] result = maxAndMin(4, 7, 1, 9, 2);

        System.out.println("Максимум: " + result[0]);
        System.out.println("Минимум: " + result[1]);
    }
}